export const color = {
  darker: '#1E1F26',
  dark: '#283655',
  light: '#4D648D',
  lighter: '#D0E1F0',
  info: '#2196f3',
  success: '#00e676',
  error: '#ff1744'
}

export const avatar = {
  color: {
    primary: 'bg-primary',
    secondary: 'bg-secondary',
    dark: 'bg-dark',
    gray: 'bg-gray',
    success: 'bg-success',
    warning: 'bg-warning',
    error: 'bg-error'
  },
  sizes: {
    smallest: 'avatar avatar-xs',
    small: 'avatar avatar-sm',
    default: 'avatar',
    large: 'avatar avatar-lg',
    largest: 'avatar avatar-xl'
  },
  status: {
    success: 'avatar-presence online',
    error: 'avatar-presence busy',
    warning: 'avatar-presence away',
    default: 'avatar-presence offline'
  }
}

export const divider = {
  type: {
    horizontal: 'divider',
    vertical: 'divider-vert'
  }
}

export const button = {
  types: {
    default: 'btn',
    primary: 'btn btn-primary',
    link: 'btn btn-link',
    success: 'btn btn-success',
    error: 'btn btn-error',
    clear: 'btn btn-clear'
  },
  sizes: {
    small: 'btn-sm',
    default: '',
    large: 'btn-lg',
    block: 'btn-block'
  },
  float: {
    none: '',
    left: 'float-left',
    right: 'float-right'
  }
}

export const message = {
  types: {
    default: 'label',
    primary: 'label label-primary',
    secondary: 'label label-secondary',
    success: 'label label-success',
    warning: 'label label-warning',
    error: 'label label-error'
  },
  round: 'label-rounded'
}

export const modal = {
  sizes: {
    small: 'modal modal-sm',
    default: 'modal',
    large: 'modal modal-lg'
  }
}

export const notification = {
  types: {
    default: 'toast',
    primary: 'toast toast-primary',
    success: 'toast toast-success',
    warning: 'toast toast-warning',
    error: 'toast toast-error'
  }
}

export const popover = {
  types: {
    top: 'popover',
    right: 'popover popover-right',
    bottom: 'popover popover-bottom',
    left: 'popover popover-left'
  }
}
